#ifndef MAINHEADER_H_INCLUDED
#define MAINHEADER_H_INCLUDED

#include <windows.h>
#include <stdio.h>
#include <commdlg.h>
#include <commctrl.h>
#include <shlobj.h>

typedef struct errorchk ERRCHECK;
void GetSingleOpen(OPENFILENAME *openfile, HWND *status, HWND *outfilename, HWND *winhandle);
void SetupStatusText(HWND *status);
ERRCHECK ESRErrorCheck(int patchfunc);
INT_PTR CALLBACK DlgSingleProc(HWND hwndDlg, UINT uMsg, WPARAM wParam, LPARAM lParam);
INT_PTR CALLBACK DlgBatchProc(HWND hwndDlg, UINT uMsg, WPARAM wParam, LPARAM lParam);
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nCmdShow);
HWND BatchMode(HWND *caller);
void CheckFile(char *filename, HWND *winhandle, HWND *enablewin);
INT_PTR CALLBACK AboutProc(HWND hwndDlg, UINT uMsg, WPARAM wParam, LPARAM lParam);
void GetMultiOpen(OPENFILENAME *openfile, HWND *addtolst);
void chrtoup(char *str);
int AddFileToListView(HWND *listview, char *filename);
INT_PTR CALLBACK DlgBatchProc(HWND hwndDlg, UINT uMsg, WPARAM wParam, LPARAM lParam);
void ListView_AddTextColumn(HWND *listview, char *text, int width, int columnno);
void PatchFilesInListView(HWND listview, HWND progressbar);
char SupportedFile(char *filename);

struct errorchk {
	int errorcode;
	char *mbtitle;
	char *mbmessage;
	int mbflags;
};

#endif // MAINHEADER_H_INCLUDED
